# $Revision: 1.40 $, $Date: 2011/11/24 17:57:22 $
#
%define		_name		rosegarden
#
Summary:	Rosegarden - an attractive audio and MIDI sequencer
Summary(pl.UTF-8):	Rosegarden - interaktywny sekwencer MIDI i audio
Name:		rosegarden
Version:	11.11.11
Release:	1
License:	GPL v2+
Group:		X11/Applications/Sound
Source0:	http://dl.sourceforge.net/rosegarden/%{_name}-%{version}.tar.bz2
# Source0-md5:	1e6529625b1e793288c3f1f8cdec955a
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-dssi_lib64.patch
URL:		http://www.rosegardenmusic.com/
BuildRequires:	QtCore-devel
BuildRequires:	QtGui-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	QtXml-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	cmake
BuildRequires:	dssi-devel >= 1.0.0
BuildRequires:	fftw3-single-devel
BuildRequires:	gettext-devel
BuildRequires:	jack-audio-connection-kit-devel >= 0.80.0
BuildRequires:	ladspa-devel
BuildRequires:	liblo-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	liblrdf-devel
BuildRequires:	lirc-devel
BuildRequires:	pkgconfig >= 0.15
BuildRequires:	qt4-build
BuildRequires:	qt4-linguist
BuildRequires:	rpmbuild(macros) >= 1.129
Requires(post,postun):	shared-mime-info
Suggests:	libsndfile-progs
Suggests:	lilypond
Suggests:	perl-XML-Twig
Obsoletes:	rosegarden4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rosegarden is an attractive, user-friendly audio and MIDI sequencer,
score editor, and general-purpose music composition and editing
application.

%description -l pl.UTF-8
Rosegarden jest interaktywnym sekwencerem MIDI i audio, edytorem zapisu
nutowego, a jego głównym zadaniem jest komponowanie i edycja muzyki.

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1
%if "%{_lib}" == "lib64"
%patch1 -p1
%endif

%build

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_iconsdir}/locolor

#%find_lang %{_name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_mime_database

%postun
%update_mime_database

#%%files -f %{_name}.lang
%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/rosegarden
%{_desktopdir}/rosegarden.desktop
%{_iconsdir}/[!l]*/*/*/*.png
%{_datadir}/mime/packages/*.xml

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rosegarden.spec,v $
Revision 1.40  2011/11/24 17:57:22  jajcus
- Release: 1 (builds and seems to work)

Revision 1.39  2011/11/24 17:47:31  jajcus
- Version: 11.11.11 („The current stable, but experimental release”). No KDE3
  and Qt3 dependency any more

Revision 1.38  2011/02/06 18:07:06  sparky
- don't mess with _smp_mflags

Revision 1.37  2010/11/23 05:49:29  arekm
- release 5

Revision 1.36  2009/12/15 09:01:07  jajcus
- default $DSSI_PATH fixed for 64-bit systems
- Release: 4

Revision 1.35  2009/12/08 20:25:03  jajcus
- BR: dssi-devel >= 1.0.0
- Release: 3

Revision 1.34  2009/12/06 20:33:25  jajcus
- BR: dssi-devel, not dssi

Revision 1.33  2009/12/04 00:03:23  sparky
- BR: liblo-devel

Revision 1.32  2009/11/28 14:47:49  jajcus
- documentation building re-enabled
- Release: 2

Revision 1.31  2009/11/26 14:19:27  jajcus
- renamed back to 'rosegarden' from 'rosegarden4'

Revision 1.30  2009/11/22 10:14:16  jajcus
- S: kde4-kdebase-kdialog

Revision 1.29  2009/11/22 10:03:06  jajcus
- S: perl-XML-Twig

Revision 1.28  2009/11/22 09:56:14  jajcus
- Version: 1.7.3
- Use kde4-kde3support for building
- documentation building disabled (I don't know how to fix it)

Revision 1.27  2008/04/16 21:35:50  sls
- rel. 1
- some Suggests

Revision 1.26  2008-03-31 02:44:05  sls
- fixed install section
- update BR
- more verbose files
- added TODO

Revision 1.25  2008-03-31 02:15:14  sls
- cmake instead of scons
- temporary disabled install.patch

Revision 1.24  2008-03-31 01:54:17  sls
- ver. 1.6.1 (NFY)

Revision 1.23  2007-08-21 22:09:30  qboosh
- gpm-friendly Source0 URL

Revision 1.22  2007/02/12 22:09:13  glen
- tabs in preamble

Revision 1.21  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.20  2006/05/22 21:15:33  freetz
- 1.2.3, switched to scons crap, added install patch, adapted to new build
  system, removed bconds

Revision 1.19  2006/01/08 22:50:53  undefine
- fix build on amd64

Revision 1.18  2006/01/06 12:32:47  freetz
- BR dssi, added qt build fix

Revision 1.17  2005/08/06 21:44:45  freetz
- kdebase-core is not mandatory, killed unpackaged files

Revision 1.16  2005/02/19 22:27:52  adasi
- up to 1.0
-even works

Revision 1.15  2004/03/28 13:20:12  freetz
- dekstop.patch added

Revision 1.14  2004/03/25 16:09:37  freetz
- starting upgrade to 0.9.7, NFY, don't touch! ;)

Revision 1.13  2004/02/04 12:59:42  qboosh
- fixed Categories (missing semicolon)

Revision 1.12  2004/01/12 18:04:03  freetz
- temporary source change for dropin (sf.net make me ill)

Revision 1.11  2004/01/12 16:59:03  freetz
- 0.9.6
- %%files updated (more icons, mimelnk *.desktop files)

Revision 1.10  2003/12/10 02:45:16  adgor
- Removed desktop.patch
- Fixed R/BR
- Fixed %%install; %%files
- Cosmetics
- Release 1

Revision 1.9  2003/11/28 21:35:47  freetz
- 0.9.5
- removed kde-multimedia dependencies (obsoleted)
- BRs updated
- new style bconds (without sound bcond added)
- removed obsolete gcc33 patch
  NOTE: kde specialist check needed! (kdedirs etc.)

Revision 1.8  2003/10/21 09:00:12  qboosh
- added gcc33 patch, cleanups

Revision 1.7  2003/08/12 22:32:52  ankry
- cosmetics

Revision 1.6  2003/06/19 18:28:22  freetz
- update to version 0.9.1
- removed obsoleted patch

Revision 1.5  2003/05/28 13:01:40  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 06:26:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/05/06 08:06:52  qboosh
- use find_lang, added ldconfig, BR: arts-kde-devel

Revision 1.2  2003/05/02 19:01:36  ankry
- adapterized, cosmetics

Revision 1.1  2003/05/02 17:02:16  luzik
- patch0 from Fryderyk Dziarmagowski <freetz@gmx.net>
- patch1: adaptized to vfolders
- added some usefull bconds
- change name from rosegarden to rosegarden4
- move .desktop to %{_desktopdir}

Revision 1.2  2003/05/01 20:07:53  luzik
- fixed Source0 address

Revision 1.1  2003/05/01 19:56:11  luzik
- initial release
